GLC_lib & GLC_Player Forums
http://www.forum.glc-lib.net/

Get Yer GLC_Player 2.3.2 Unofficial Windows Build here
http://www.forum.glc-lib.net/viewtopic.php?f=8&t=968
Page 1 of 1

Author:  tomysshadow [ Sun Nov 02, 2014 6:38 am ]
Post subject:  Get Yer GLC_Player 2.3.2 Unofficial Windows Build here

I'm trying to compile the new GLC_Player 2.3.2 from Github for Windows. It worked, but crashed on startup.
Which version of GLC_lib, Qt, and Mingw should I be using to compile the dev version of GLC_Player from the Github page?

It seems much of the instructions for compilation on these sites are outdated, and they vary quite a lot. I assumed GLC_lib 2.5.0 Alpha 1 was the version I wanted because it is the version with 3ds support released closest to GLC_Player. To compile GLC_lib, I followed the instructions in the readme, and set the Environment Variables as mentioned on this forum (and not in the readme). To compile GLC_Player I followed the instructions on the download page at glc-player.net . Result is the program opens then crashes when it opens GLC_lib2.dll .

So I assume it's the wrong version, so which one should I use?

I tried Qt 4.7.4 and 4.8.6, using the versions of Mingw they recommend, each to no avail. I also tried some other versions of GLC_lib with the needed files, once again to no avail.

I have also noticed the Mac already has 2.3.2 released. Perhaps if someone has a Mac they could tell me which version of GLC_lib to use too.

EDIT: I think I've almost got it! The release version always crashes but the debug version works... sort of. It starts up, and I opened a model and successfully converted a 3dxml to 3ds. But it's not perfect, as there is no debug log despite it being a debug version, at least not that I could find. Simply copying the debug .exe into the release folder worked, but whenever I close it I get a "runtime requested the application to terminate in an unusual way" error, and sometimes the "do you want to close, yes or no" dialog won't show.

Using this debug trick I'll try tampering with different versions of GLC_lib to find the optimal version to use. I'll post the fruits of my labour on this forum when I'm done. Please note that it will be standalone, not an installer version.

EDIT EDIT: I am a dummy. The Help>About GLC_Player menu says use version 2.5.0 . lol

Author:  tomysshadow [ Mon Nov 03, 2014 7:46 am ]
Post subject:  Re: GLC_lib version to compile GLC_Player with?

O̶k̶,̶ ̶h̶e̶r̶e̶'̶s̶ ̶t̶h̶e̶ ̶d̶e̶a̶l̶.̶ ̶I̶ ̶m̶a̶d̶e̶ ̶a̶ ̶w̶o̶r̶k̶i̶n̶g̶ ̶v̶e̶r̶s̶i̶o̶n̶ ̶o̶f̶ ̶2̶.̶3̶.̶2̶ ̶w̶h̶i̶c̶h̶ ̶h̶a̶s̶ ̶3̶d̶s̶ ̶e̶x̶p̶o̶r̶t̶ ̶c̶a̶p̶a̶b̶i̶l̶i̶t̶i̶e̶s̶ ̶.̶ ̶B̶U̶T̶!̶ ̶F̶o̶r̶ ̶s̶o̶m̶e̶ ̶r̶e̶a̶s̶o̶n̶ ̶o̶n̶l̶y̶ ̶t̶h̶e̶ ̶d̶e̶b̶u̶g̶ ̶v̶e̶r̶s̶i̶o̶n̶ ̶w̶o̶r̶k̶s̶.̶ ̶I̶ ̶i̶n̶c̶l̶u̶d̶e̶d̶ ̶a̶l̶l̶ ̶t̶h̶e̶ ̶d̶l̶l̶s̶ ̶I̶ ̶n̶e̶e̶d̶ ̶a̶n̶d̶ ̶e̶v̶e̶r̶y̶t̶h̶i̶n̶g̶ ̶f̶o̶r̶ ̶t̶h̶e̶ ̶r̶e̶l̶e̶a̶s̶e̶ ̶v̶e̶r̶s̶i̶o̶n̶.̶ ̶i̶m̶a̶g̶e̶f̶o̶r̶m̶a̶t̶s̶ ̶f̶o̶l̶d̶e̶r̶,̶ ̶Q̶t̶C̶o̶r̶e̶4̶.̶d̶l̶l̶ ̶a̶n̶d̶ ̶a̶ ̶b̶u̶c̶h̶ ̶o̶f̶ ̶o̶t̶h̶e̶r̶ ̶Q̶T̶*̶4̶.̶d̶l̶l̶'̶s̶ ̶a̶n̶d̶ ̶n̶o̶t̶h̶i̶n̶g̶ ̶w̶o̶r̶k̶e̶d̶.̶ ̶S̶o̶,̶ ̶i̶f̶ ̶y̶o̶u̶ ̶w̶a̶n̶t̶ ̶t̶o̶ ̶t̶a̶k̶e̶ ̶a̶ ̶s̶h̶o̶t̶ ̶a̶t̶ ̶m̶a̶k̶i̶n̶g̶ ̶t̶h̶e̶ ̶r̶e̶l̶e̶a̶s̶e̶ ̶v̶e̶r̶s̶i̶o̶n̶ ̶w̶o̶r̶k̶ ̶g̶o̶ ̶a̶h̶e̶a̶d̶,̶ ̶b̶u̶t̶ ̶t̶h̶e̶ ̶d̶e̶b̶u̶g̶ ̶v̶e̶r̶s̶i̶o̶n̶ ̶w̶o̶r̶k̶s̶.̶ ̶I̶ ̶i̶n̶c̶l̶u̶d̶e̶d̶ ̶t̶h̶e̶ ̶d̶l̶l̶s̶ ̶I̶ ̶t̶r̶i̶e̶d̶ ̶i̶n̶ ̶t̶h̶e̶ ̶r̶e̶l̶e̶a̶s̶e̶ ̶v̶e̶r̶s̶i̶o̶n̶ ̶Z̶I̶P̶ ̶t̶o̶ ̶g̶i̶v̶e̶ ̶y̶o̶u̶ ̶a̶ ̶h̶e̶a̶d̶s̶t̶a̶r̶t̶ ̶i̶f̶ ̶t̶h̶a̶t̶'̶s̶ ̶w̶h̶a̶t̶ ̶y̶o̶u̶ ̶w̶a̶n̶t̶ ̶t̶o̶ ̶t̶a̶m̶p̶e̶r̶ ̶w̶i̶t̶h̶.̶ ̶I̶n̶ ̶a̶n̶y̶ ̶c̶a̶s̶e̶ ̶t̶h̶e̶ ̶d̶e̶b̶u̶g̶ ̶v̶e̶r̶s̶i̶o̶n̶ ̶i̶s̶n̶'̶t̶ ̶r̶e̶a̶l̶l̶y̶ ̶a̶l̶l̶ ̶t̶h̶a̶t̶ ̶d̶i̶f̶f̶e̶r̶e̶n̶t̶ ̶f̶r̶o̶m̶ ̶t̶h̶e̶ ̶r̶e̶l̶e̶a̶s̶e̶ ̶v̶e̶r̶s̶i̶o̶n̶ ̶a̶n̶y̶w̶a̶y̶ ̶a̶n̶d̶ ̶i̶t̶'̶s̶ ̶j̶u̶s̶t̶ ̶a̶s̶ ̶e̶a̶s̶y̶ ̶t̶o̶ ̶s̶e̶t̶ ̶u̶p̶ ̶a̶n̶d̶ ̶u̶s̶e̶.̶ ̶R̶e̶l̶e̶a̶s̶e̶ ̶v̶e̶r̶s̶i̶o̶n̶ ̶u̶s̶e̶r̶s̶ ̶w̶i̶l̶l̶ ̶f̶e̶e̶l̶ ̶r̶i̶g̶h̶t̶ ̶a̶t̶ ̶h̶o̶m̶e̶.̶ ̶Y̶o̶u̶ ̶s̶h̶o̶u̶l̶d̶ ̶n̶o̶t̶ ̶n̶e̶e̶d̶ ̶Q̶t̶ ̶o̶r̶ ̶M̶i̶n̶g̶w̶ ̶i̶n̶s̶t̶a̶l̶l̶e̶d̶.̶ ̶I̶ ̶c̶h̶e̶c̶k̶e̶d̶,̶ ̶i̶t̶ ̶w̶o̶r̶k̶s̶ ̶w̶i̶t̶h̶o̶u̶t̶.̶

I tried to compile this again today and now it works correctly.

Release version: https://drive.google.com/file/d/0B-Q15J ... sp=sharing
Debug version: https://drive.google.com/file/d/0B-Q15J ... sp=sharing

Author:  johnnybegood [ Fri Dec 05, 2014 5:17 pm ]
Post subject:  Re: Get Yer GLC_Player 2.3.2 Unofficial Windows Build here

Hey man, I just tried your compiles and they both crash in QtGuid4.dll for me but wait, wait, after hexing GLC_lib2.dll of the release version so that it uses the regular qt4 runtimes instead of the debug ones, it works perfectly and the whole thing now weighs only 53MB instead of 300. :D

I just converted a few models to 3DS without problems, gold! :mrgreen:

Thanks a lot for compiling this. :)

Author:  tomysshadow [ Tue Dec 16, 2014 10:19 am ]
Post subject:  Re: Get Yer GLC_Player 2.3.2 Unofficial Windows Build here

Hmmm... if you send your results to me I could replace the link. If you like :)

Author:  johnnybegood [ Wed Dec 17, 2014 9:06 pm ]
Post subject:  Re: Get Yer GLC_Player 2.3.2 Unofficial Windows Build here

Here goes man, I've upxed the files too so it weighs only 13.6MB now. No guarantees it works on any system other than mine though and make sure you uncheck "use our download manager" before you click on the download button above it. This link won't probably last too long so feel free to rehost it if it works for you too.

http://www.datafilehost.com/d/5bd1fc96

Page 1 of 1 All times are UTC
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/